Bug 48677 - vertexAttribPointer should generate INVALID_VALUE if the stride exceeds 255
Summary: vertexAttribPointer should generate INVALID_VALUE if the stride exceeds 255
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-29 14:20 PDT by Zhenyao Mo
Modified: 2010-11-02 09:44 PDT (History)
3 users (show)

See Also:


Attachments
patch (4.93 KB, patch)
2010-11-01 15:42 PDT, Zhenyao Mo
kling: review+
zmo: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zhenyao Mo 2010-10-29 14:20:40 PDT
WebGL spec:

6.6 Vertex Attribute Data Stride

The WebGL API supports vertex attribute data strides up to 255 bytes. A call to vertexAttribPointer will generate an INVALID_VALUE error if the value for the stride parameter exceeds 255.
Comment 1 Zhenyao Mo 2010-11-01 15:42:47 PDT
Created attachment 72576 [details]
patch

Test synched with khronos.
Comment 2 Andreas Kling 2010-11-01 17:10:27 PDT
Comment on attachment 72576 [details]
patch

r=me
Comment 3 Zhenyao Mo 2010-11-02 09:44:51 PDT
Committed r71123: <http://trac.webkit.org/changeset/71123>